package cycling;

public class Bike {

  private final int size;
  private final Material frame;
  private final Tyres tyres;
  private final boolean hasLights;
  private final boolean hasMudguards;

  public Bike(int size, Material frame, Tyres tyres, boolean hasLights, boolean hasMudguards) {
    this.size = size;
    this.frame = frame;
    this.tyres = tyres;
    this.hasLights = hasLights;
    this.hasMudguards = hasMudguards;
  }

  public void turnPedals() {
    System.out.println("The wheels go round...");
  }

  public void brake() {
    System.out.println("Hopefully the bike stops...");
  }
}
